Name:           python-zope-sqlalchemy
Version:        3.1
Release:    1%{?dist}
BuildArch:      noarch

License:        ZPLv2.1
Summary:        Minimal Zope/SQLAlchemy transaction integration
URL:            https://github.com/zopefoundation/zope.sqlalchemy
Source0:        https://github.com/zopefoundation/zope.sqlalchemy/archive/%{version}.tar.gz

BuildRequires:      python3-devel
BuildRequires:      python3-setuptools
BuildRequires:      python3-zope-testing


%global _description\
The aim of this package is to unify the plethora of existing packages\
integrating SQLAlchemy with Zope's transaction management. As such it seeks\
only to provide a data manager and makes no attempt to define a zopeish way to\
configure engines.

%description %_description

%package -n python3-zope-sqlalchemy
Summary:   Minimal Zope/SQLAlchemy transaction integration with Python 3 support

Requires:           python3-transaction
Requires:           python3-sqlalchemy >= 0.5.1
Requires:           python3-zope-interface >= 3.6.0

%description -n python3-zope-sqlalchemy
The aim of this package is to unify the plethora of existing packages
integrating SQLAlchemy with Zope's transaction management. As such it seeks
only to provide a data manager and makes no attempt to define a zopeish way to
configure engines.

%prep
%setup -q -n zope.sqlalchemy-%{version}

rm -rf %{modname}.egg-info


%build
%{__python3} setup.py build


%install
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}


%files -n python3-zope-sqlalchemy
%doc src/zope/sqlalchemy/README.rst
%doc CHANGES.rst CREDITS.rst
%license COPYRIGHT.txt LICENSE.txt
%{python3_sitelib}/zope.sqlalchemy-*
%{python3_sitelib}/zope/sqlalchemy
%exclude %{python3_sitelib}/zope/sqlalchemy/*.rst


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1-1
- initial build
